Package org.apache.lucene.benchmark.byTask.stats

# Class Report

java.lang.Object
org.apache.lucene.benchmark.byTask.stats.Report

public class Report extends Object
Textual report of current statistics.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Report(String text, int size, int reported, int outOf)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getOutOf()`
  Returns total number of stats points when this report was created.
  `int`
  `getReported()`
  Returns number of stats points represented in this report.
  `int`
  `getSize()`
  Returns number of lines in the report.
  `String`
  `getText()`
  Returns the report text.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Report

    public Report(String text, int size, int reported, int outOf)

- ## Method Details

  - ### getOutOf

    public int getOutOf()
    Returns total number of stats points when this report was created.

  - ### getSize

    public int getSize()
    Returns number of lines in the report.

  - ### getText

    public String getText()
    Returns the report text.

  - ### getReported

    public int getReported()
    Returns number of stats points represented in this report.